21.02.2024

Четыре уязвимости в Apache OpenOffice

В недавно представленном выпуске офисного пакета Apache OpenOffice 4.1.15 без лишней огласки (информация раскрыта через несколько дней после релиза и изначально сведения об уязвимостях не упоминались в списке изменений) устранены четыре уязвимости:

  • Уязвимость CVE-2023-1183 позволяет записать данные в произвольный файл в системе, насколько это позволяют права доступа, при открытии специально оформленных файлов OBD (Office Binder Document) в OpenOffice Base. Атака осуществляется через добавление в документ файла «database/script» с командной SCRIPT, содержимое которого записывается в новый файл, путь к которому может быть задан атакующим.
  • Уязвимость CVE-2012-5639 позволяет автоматически загрузить и открыть внутренние или внешние ресурсы без вывода предупреждения пользователю. Уязвимость была выявлена в LibreOffice в 2012 году, но сообщение о проблеме было закрыто как некорректное. Тем не менее уязвимость была устранена в LibreOffice 4.2 в 2014 году, но была не замечена в OpenOffice.
  • Уязвимость CVE-2022-43680, потенциально позволяет добиться выполнения своего кода при открытии специально оформленных документов в ситуации нехватки памяти для их обработки. Уязвимость приводит к обращению к памяти после её освобождения (Use after free) из-за ошибки в библиотеке libexpat, применяемой для разбора данных в формате XML. Проблема устранена в libexpat 2.4.9.
  • Уязвимость CVE-2023-47804 позволяет разместить в документе ссылку, вызывающую макрос с произвольными аргументами, и добиться выполнения своего скрипта при нажатии пользователем на эту ссылку или при автоматическом срабатывании связанных с документом событий без предварительного подтверждения операции. Уязвимость определяет новый вектор атаки для проблемы CVE-2022-47502, исправленной в OpenOffice 4.1.14.

Источник: https://www.opennet.ru/opennews/art.shtml?num=60361 Источник.